package edu.uoc.pfc.user.data;

import java.util.Comparator;



/**
 * Classe encarregada de comparar objectes de tipus User.
 * 
 * @author Rubn Salvador Gareta
 *
 */
public class UserComparator implements Comparator<User> {

	/**
	 * Mtode constructor.
	 */
	public UserComparator(){
		
	}
	
	/**
	 * Mtode mitjanant el qual es compararan dos objectes de tipus User.
	 * 
	 * @param user1 Objecte User a comparar.
	 * @param user2 Objecte User a comparar.
	 * @return Resultat de la comparaci. 
	 * Si el resultat 0: user1 = user2. 
	 * Si el resultat s > 0: user1 > user2. 
	 * Si el resultat s < 0: user1 < user2.
	 * 
	 */
	@Override
	public int compare(User user1, User user2) {
		return new Long(user1.getT()).compareTo(new Long(user2.getT()));
	}

}
