package edu.uoc.pfc.search.test;

import static org.junit.Assert.*;

import org.junit.BeforeClass;
import org.junit.Test;

import edu.uoc.pfc.search.GoogleSearchGenerator;
import edu.uoc.pfc.search.SearchGenerator;
import edu.uoc.pfc.search.exception.SearchGeneratorException;

public class SearchGeneratorTest {

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	@Test
	public void testGetQueryResultOK() {
		String answer = null;
		
		//Enviament de la consulta al motor de cerca.
		SearchGenerator search = new GoogleSearchGenerator();
		try{
			answer = search.getQueryResult("Test Query");
		} catch(SearchGeneratorException e){
			answer = null;			
		}
		
		//Comprovacions
		assertNotNull("Check if Google returns search results: ", answer);
	}
	
}
