@ECHO OFF
REM
REM
REM	This script starts the Anonymous Queries DEMO Client
REM OPTIONS:
REM		/h	Show this message
REM		/d	Database properties file path (example: /d C:\data\jdbc.oracle.properties)
REM		/s	Secure properties file path (example: /s C:\data\security.properties)
REM		/p	Connection port (example: /p 5555)
REM		/q	Query to sent to the service (example: /q Remote+Services or "Remote Services")
REM
REM
SET "JAVA_HOME=%JAVA_HOME%"
SET	"DATABASE_FILE_PATH="
SET	"SECURITY_FILE_PATH="
SET	"PORT="
SET	"QUERY="
SET	"LIBRARIES=.\lib\anonymous-queries-1.0.jar;.\lib\slf4j-api-1.6.3.jar;.\lib\slf4j-log4j12-1.6.3.jar;.\lib\log4j-1.2.16.jar;.\lib\ojdbc14_g.jar;.\lib\commons-io-2.1.jar;.\lib\bcmail-jdk16-146.jar;.\lib\bcprov-jdk16-146.jar"
REM
REM
IF '%1'==''		GOTO DISPLYAHELP
:CHECKFORSWITCHES
IF '%1'=='/h'	GOTO DISPLYAHELP
IF '%1'=='/d'	GOTO SETDBPROPERTIESPATH
IF '%1'=='/s'	GOTO SETSECURITYPROPERTIESPATH
IF '%1'=='/p'	GOTO SETPORT
IF '%1'=='/q'	GOTO SETQUERY
GOTO BEGIN
REM
REM
REM
REM
:SETDBPROPERTIESPATH
SET "DATABASE_FILE_PATH=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETSECURITYPROPERTIESPATH
SET "SECURITY_FILE_PATH=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETPORT
SET "PORT=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETQUERY
SET "QUERY=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:BEGIN
SET "MAIN=edu.uoc.pfc.anonymous.AnonymousQueriesClientStart"
"%JAVA_HOME%\bin\java" -classpath %LIBRARIES% %MAIN% %DATABASE_FILE_PATH% %SECURITY_FILE_PATH% %PORT% %QUERY% 
"C:\Program Files\Mozilla Firefox\firefox" -remote "openurl(./logs/queryresult.html)"
REM
GOTO END
REM
:DISPLYAHELP
REM
ECHO	This script starts the Anonymous Queries DEMO Client
REM
REM
ECHO OPTIONS:
ECHO	/h	Show this message
ECHO	/d	Database properties file path (example: /d C:\data\jdbc.oracle.properties)
ECHO	/s	Secure properties file path (example: /s C:\data\security.properties)
ECHO	/p	Connection port (example: /p 5555)
ECHO	/q	Query to sent to the service (example: /q Remote+Services or "Remote Services")
:END
REM