@ECHO OFF
REM
REM
REM	This script starts the Anonymous Queries Service
REM OPTIONS:
REM		/h	Show this message
REM		/n	Social Network type (example DEMO, FACEBOOK, TWITTER, TUENTI...)
REM		/s	Secure properties file path (example: /s C:\data\security.properties)
REM		/p	Connection port (example: /p 5555)
REM		/d	[Optional] Database properties file path (example: /d C:\data\jdbc.oracle.properties)
REM
REM
SET "JAVA_HOME=%JAVA_HOME%"
SET	"SOCIALNETWORK_TYPE="
SET	"DATABASE_FILE_PATH="
SET	"SECURITY_FILE_PATH="
SET	"PORT="
SET	"LIBRARIES=.\lib\anonymous-queries-1.0.jar;.\lib\slf4j-api-1.6.3.jar;.\lib\slf4j-log4j12-1.6.3.jar;.\lib\log4j-1.2.16.jar;.\lib\ojdbc14_g.jar;.\lib\commons-io-2.1.jar;.\lib\bcmail-jdk16-146.jar;.\lib\bcprov-jdk16-146.jar"
REM
REM
IF '%1'==''		GOTO DISPLYAHELP
:CHECKFORSWITCHES
IF '%1'=='/h'	GOTO DISPLYAHELP
IF '%1'=='/n'	GOTO SETSOCIALNETWORK
IF '%1'=='/s'	GOTO SETSECURITYPROPERTIESPATH
IF '%1'=='/p'	GOTO SETPORT
IF '%1'=='/d'	GOTO SETDBPROPERTIESPATH
GOTO BEGIN
REM
REM
REM
REM
:SETSOCIALNETWORK
SET "SOCIALNETWORK_TYPE=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETSECURITYPROPERTIESPATH
SET "SECURITY_FILE_PATH=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETPORT
SET "PORT=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETDBPROPERTIESPATH
SET "DATABASE_FILE_PATH=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:BEGIN
SET "MAIN=edu.uoc.pfc.anonymous.AnonymousQueriesServiceStart"
"%JAVA_HOME%\bin\java" -classpath %LIBRARIES% %MAIN% %SOCIALNETWORK_TYPE% %SECURITY_FILE_PATH% %PORT% %DATABASE_FILE_PATH% 
REM
GOTO END
REM
:DISPLYAHELP
REM
ECHO	This script starts the Anonymous Queries Service
REM
REM
ECHO OPTIONS:
ECHO		/h	Show this message
ECHO		/n	Social Network type (example DEMO, FACEBOOK, TWITTER, TUENTI...)
ECHO		/s	Secure properties file path (example: /s C:\data\security.properties)
ECHO		/p	Connection port (example: /p 5555)
ECHO		/d	[Optional] Database properties file path (example: /d C:\data\jdbc.oracle.properties)
:END
REM