@ECHO OFF
REM
REM
REM	This script starts the DEMO Social Network
REM OPTIONS:
REM		/h	Show this message
REM		/f	Social Network XML file absolute path (example: /f C:\data\socialnetwork.xml)
REM		/p	Database properties file path (example: /p C:\data\jdbc.oracle.properties)
REM
REM
SET "JAVA_HOME=%JAVA_HOME%"
SET	"PROPERTIES_FILE_PATH="
SET	"SOCIAL_FILE_PATH="
SET	"LIBRARIES=.\lib\anonymous-queries-1.0.jar;.\lib\slf4j-api-1.6.3.jar;.\lib\slf4j-log4j12-1.6.3.jar;.\lib\log4j-1.2.16.jar;.\lib\ojdbc14_g.jar;.\lib\commons-io-2.1.jar"
REM
REM
IF '%1'==''		GOTO DISPLYAHELP
:CHECKFORSWITCHES
IF '%1'=='/h'	GOTO DISPLYAHELP
IF '%1'=='/p'	GOTO SETDBPROPERTIESPATH
IF '%1'=='/f'	GOTO SETSOCIALNETWORKPATH
GOTO BEGIN
REM
REM
REM
REM
:SETDBPROPERTIESPATH
SET "PROPERTIES_FILE_PATH=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:SETSOCIALNETWORKPATH
SET "SOCIAL_FILE_PATH=%2"
SHIFT
SHIFT
GOTO CHECKFORSWITCHES
REM
REM
:BEGIN
SET "MAIN=edu.uoc.pfc.social.SocialNetworkStart"
"%JAVA_HOME%\bin\java" -classpath %LIBRARIES% %MAIN% %SOCIAL_FILE_PATH% %PROPERTIES_FILE_PATH% 
REM
GOTO END
REM
:DISPLYAHELP
REM
ECHO	This script starts the DEMO Social Network
REM
REM
ECHO OPTIONS:
ECHO		/h	Show this message
ECHO		/f	Social Network XML file absolute path (example: /f C:\data\socialnetwork.xml)
ECHO		/p	Database properties file path (example: /p C:\data\jdbc.oracle.properties)
:END
REM